-- app.lua

app = {}

app.getState = function(charNum)
    print ("@@@@@",tostring(charNum))
    ret = "character"..charNum
    print ("ret:",ret)
    return (scores:getScore(ret):getValue())
end

app.setState = function(charNum,state)
    print ("$$$$$$$$$$$")
    ret = "character"..charNum
	if (scores:getScore(ret):getValue() < state) then
		scores:getScore(ret):setValue(state)
	end
end

app.getCharName = function(charNum)
    name = "character"..charNum
    print ("CharName is:",name)
    return name
end

app.addState = function(charNum)
    ret = "character"..charNum
    scores:getScore(ret):increaseValue(1)
end

app.init = function()

end

app.resetAllStates = function()
    scores:reset()
end

app.convertCharacterNumberToMiniGameName = function(charNum)
    print ("converting char number to miniGame name:",charNum)
    if charNum == 1 then
        miniGame = "soccer"
    elseif charNum == 2 then
        miniGame = "tennis"
    elseif charNum == 3 then
        miniGame = "basketBall"
    elseif charNum == 4 then
        miniGame = "footBall"
    end
    print ("mini game is:", miniGame)
    return miniGame
end

app.resetCharacterLevel = function(charNum)
    miniGame = app.convertCharacterNumberToMiniGameName(charNum)
    app.resetMiniGameLevel(miniGame)
end

app.getCharacterLevel = function(charNum)
    print ("getting character level for character:",charNum)
    if charNum > 4 then
        return -1
    end
    miniGame = app.convertCharacterNumberToMiniGameName(charNum)
    val = app.getMiniGameLevel(miniGame)
    print ("character level is:", val)
    return val
end

app.setCharacterLevel = function(charNum, level)
    print ("setting character level for character:",charNum)
    minigame = app.convertCharacterNumberToMiniGameName(charNum)
    app.setMiniGameLevel(minigame, level)
end

app.getMiniGameLevel = function(minigame)
    print ("#### in getMiniGameLevel")
    levelVar = minigame .. "Level"
    print ("#### ",levelVar)
    val = scores:getScore(levelVar):getValue()
    print ("####### value is: ",val)
    return val
end

app.setMiniGameLevel = function(minigame,level)
    print ("#### in setMiniGameLevel")
    oldValue = app.getMiniGameLevel(minigame)
    if level > oldValue then
        levelVar = minigame .. "Level"
        print ("#### ",levelVar)
        scores:getScore(levelVar):setValue(level)
    end
end

app.resetMiniGameLevel = function(minigame)
    print ("#### in resetMiniGameLevel")
    levelVar = minigame .. "Level"
    print ("####reseting level var: ",levelVar)
    scores:getScore(levelVar):setValue(1)
end

app.getSoccerLevel = function()
    print ("#### in getSoccerLevel")
    value = app.getMiniGameLevel("soccer")
    print("##### getSoccerLevel",value)
    return value
end

app.setSoccerLevel = function(level)
    print("##### setSoccerLevel",tostring(level))
    app.setMiniGameLevel("soccer",level)
end

app.getFootBallLevel = function()
    print ("#### in getFootBallLevel")
    value = app.getMiniGameLevel("footBall")
    print("##### getFootBallLevel",value)
    return value
end

app.setFootBallLevel = function(level)
    print("##### setFootBallLevel",tostring(level))
    app.setMiniGameLevel("footBall",level)
end

app.getTennisLevel = function()
    print ("#### in getTennisLevel")
    value = app.getMiniGameLevel("tennis")
    print("##### getTennisLevel",value)
    return value
end

app.setTennisLevel = function(level)
    print("##### setTennisLevel",tostring(level))
    app.setMiniGameLevel("tennis",level)
end

app.getBasketBallLevel = function()
    print ("#### in getBasketBallLevel")
    value = app.getMiniGameLevel("basketBall")
    print("##### getBasketBallLevel",value)
    return value
end

app.setBasketBallLevel = function(level)
    print("##### setBasketBallLevel",tostring(level))
    app.setMiniGameLevel("basketBall",level)
end

